*This module was migrated automatically from OCA repository* 
*to flectra community repository. We do not guarantee the correctness of all information.*
*Please check https://gitlab.com/flectra-community/oca2fc/blob/master/README.md*
*fur further informations about automatic migration.*

.. image:: https://img.shields.io/badge/licence-AGPL--3-blue.svg
   :target: http://www.gnu.org/licenses/agpl-3.0-standalone.html
   :alt: License: AGPL-3

=======================
Switzerland - Bank type
=======================

This addons will add different bank types required by specific swiss electronic
payment like DTA and ISR. It allows to manage both Post and Bank systems.

It'll perform some validation when entring bank account number or ESR number
in invoice and add some Swiss specific fields on bank.

This module is required if you want to use electronic payment in Switzerland.

Usage
=====

Account type will be discovered authomatically.

* For IBAN accounts fill account number with IBAN.
* For Postal account fill account number with postal account number in IBAN, 9 digits or 6 digits format (ex. 01-23456-1 or 12345).

Entering a postal number of 9 or 6 digits will auto-complete the bank with PostFinance. (You might create it if you haven't installed `l10n_ch_bank`)

* For bank account for ISR, select the bank and fill the CCP field in bank, optionally fill the account number with bank number.


Credits
=======

Contributors
------------

* Flectra Community <info@flectra-community.org>
* Nicolas Bessi (Camptocamp)
* Vincent Renaville <vincent.renaville@camptocamp.com>
* Joël Grand-Guillaume <joel.grandguillaume@camptocamp.com>
* Guewen Baconnier <guewen.baconnier@camptocamp.com>
* Paul Catinean <paulcatinean@gmail.com>
* Yannick Vaucher <yannick.vaucher@camptocamp.com>
* Akim Juillerat <akim.juillerat@camptocamp.com>

Financial contributors
----------------------

Hasa SA, Open Net SA, Prisme Solutions Informatique SA, Quod SA